Billing
Enable usage billing
Enable usage-based billing for the organization.
POST
/
billing
/
usage-billing
curl -X POST "https://api.cloud.blnkfinance.com/billing/usage-billing" \
-H "X-blnk-key: CLOUD_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
{
"usage_billing_enabled": true,
"usage_billing_enabled_at": "2026-09-09T07:20:08.028229Z"
}
Enable usage-based billing for the organization. All instances under that organization are charged once they exceed their included usage. If it is already enabled, Cloud returns the same result. You cannot disable it from this API.
To learn more about usage-based billing, see Usage-based billing. To see overage per instance, use Get record counts.
Authorization
Blnk Cloud APIs support any one of the following authentication methods. All of them work with yourCLOUD_API_KEY or OAUTH_ACCESS_TOKEN.
Pass X-blnk-key: CLOUD_API_KEY or X-blnk-key: OAUTH_ACCESS_TOKEN.
curl -X POST "https://api.cloud.blnkfinance.com/billing/usage-billing" \
-H "X-blnk-key: CLOUD_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"usage_billing_enabled": true,
"usage_billing_enabled_at": "2026-09-09T07:20:08.028229Z"
}
boolean
Whether usage-based billing is on for the organization.
timestamp
When usage-based billing was enabled for the organization. ISO 8601.
Need help?
We are very happy to help you make the most of Blnk, regardless of whether it is your first time or you are switching from another tool. To ask questions or discuss issues, please contact us or join our Discord community.Was this page helpful?
⌘I
curl -X POST "https://api.cloud.blnkfinance.com/billing/usage-billing" \
-H "X-blnk-key: CLOUD_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
{
"usage_billing_enabled": true,
"usage_billing_enabled_at": "2026-09-09T07:20:08.028229Z"
}